<?php

namespace App\Helpers\Payment;

use Illuminate\Support\Facades\Auth;

class payment
{
    public static function request($Bank, $amount, $CallbackURL, $params = null)
    {
        $bank_class = 'App\Helpers\Payment\Banks\\' . $Bank;
        if (class_exists($bank_class, true)) {
            $bank = new $bank_class();
            $output = $bank->request($amount, $CallbackURL, $params);
            return $output;
        }
    }

    public static function verify($Bank, $params)
    {
        $bank_class = 'App\Helpers\Payment\Banks\\' . $Bank;
        if (class_exists($bank_class)) {
            $bank = new $bank_class();
            $output = $bank->verify($params);
            return $output;
        }
    }
}
